<?php

namespace App\Models\Workshop;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class WorkshopJobAllocation extends Model
{
    use HasFactory;
    protected $guarded = [];

    public function job_card(){
        return $this->belongsTo('App\Models\Workshop\JobCard','job_card_id');
    }

    public function user(){
        return $this->belongsTo('App\Models\User','user_id');
    }
}
